## SYNOPSIS

           chage [-P path] [-m mindays] [-M maxdays]
                [-d  lastday] [-I inactive] [-E expiredate] [-W warn
                days] user

           chage -l [user]

## DESCRIPTION

           chage is used to  list  and  change  the  password  expiry
           information  of a user. It allows the system administrator
           to change the number of days between allowed and  required
           password changes and the date of the last password change.
           It allows also to define when an account will expire.  The
           chage  command  is restricted to the system administrator,
           except for the -l option, which may be used by an user  to
           determine when his password or account is due to expire.

           If  no  option  is given, chage operates in an interactive
           mode, prompting the user with the current values  for  all
           of the fields. Enter the new value to change the field, or
           leave the line blank to use the  current value.

## OPTIONS

           -P, --path path
                  The passwd and shadow files are located  under  the
                  specified  directory  path.  chage  will  use  this
                  files, not /etc/passwd and  /etc/shadow.   This  is
                  useful for example on NIS master servers, where you
                  do not want to give all users in the  NIS  database
                  automatic access to your NIS server and the NIS map
                  is build from special files.

           -l, --list
                  This option will list the password expiry  informa
                  tion  in a human readable format. The user will see
                  the date when he  changed  the  password  the  last
                  time,  when  the  password will be expire, when the
                  password will be locked and when the  account  will
                  expire.

           -m, --mindays mindays
                  With this option the minimum number of days between
                  password changes is changed. A value  of  zero  for
                  this  field  indicates that the user may change her
                  password at any time. Else the  user  will  not  be
                  permitted  to  change  the  password until min days
                  have elapsed.

           -M, --maxdays maxdays
                  With this option the maximum number of days  during
                  which  a password is valid is changed. When maxdays
                  plus lastday is less than the current day, the user
                  expired can be changed. expiredate has to be speci
                  fied as number of days since January 1st, 1970. The
                  date  may  also be expressed in the format YYYY-MM-
                  DD.

           -I, --inactive inactive
                  This option is used to set the number  of  days  of
                  inactivity  after a password has expired before the
                  account is locked. A user whose account  is  locked
                  must contact the system  administrator before being
                  able to use the account again.  A value of  0  dis
                  ables this feature.

           -W, --warndays warndays
                  With  this  option  the  number  of days of warning
                  before  a  password  change  is  required  can   be
                  changed. This option is the number of days prior to
                  the password expiring that a user  will  be  warned
                  the password is about to expire.

## BUGS

           chage is not able yet to change the password expiry infor
           mations in a LDAP server.

## FILES

           passwd - user account information
           shadow - shadow user account information

## SEE ALSO

           passwd(1), passwd(5)

## AUTHOR

           Thorsten Kukuk <kukuk@suse.de>

    pwdutils                   January 2003                  chage(1)